import { EventEmitter, OnChanges, OnInit } from '@angular/core';
import { DatepickerOptions } from 'ng2-datepicker';
export declare class ContentPreviewComponent implements OnInit, OnChanges {
    resource: any;
    saveResource: any;
    themes: any;
    dataEditResource: any;
    close: EventEmitter<boolean>;
    resSelected: EventEmitter<any>;
    newTheme: EventEmitter<boolean>;
    isOpen: boolean;
    themeSelect: any;
    theme: any;
    sinceDate: any;
    data: any;
    finalOptions: DatepickerOptions;
    resourceProcessed: any;
    idContent: any;
    startDate: any;
    endDate: any;
    flag: boolean;
    msgErr: string;
    msgErrT: string;
    msgErrDatePlanning: boolean;
    contentEdit: boolean;
    titleE: string;
    abstractE: string;
    tagsCustom: any[];
    tagsContenido: any[];
    private innerValue;
    private onChangeCallback;
    value: Date;
    private defaultOptions;
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    selectThemeForContent(t: any): void;
    validResources(date: any, contents: any): void;
    closeModal(): void;
    saveResourceSelected(res: any): void;
    editResourceSelected(): void;
    addTheme(): void;
    closePreview(): void;
    editObj(res: any): {
        'abstract': any;
        '_id': any;
        'previewUrl': any;
        'processed_at': any;
        'subtitle': any;
        'tags': any;
        'title': any;
        'type': any;
        'url': any;
        'user': any;
        'zipUrl': any;
    };
    getContEje(): void;
}
